Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.util
Class WsdlUtils

    java.lang.Object
      com.bea.wsrp.util.WsdlUtils

Deprecated Use ProducerAgent

    @Deprecated
    public abstract class WsdlUtils

extends Object

WSDL Utils.

See Also
  `ProducerAgent`

Nested Class Summary
`static class` | `WsdlUtils.WsrpPortStruct` Deprecated No longer supported.

Method Summary
`static boolean` | `acceptsMime(String producerWsdlUrl)` Deprecated
`static com.bea.wsrp.types.ServiceDescription` | `getServiceDescription(String serviceDescriptionPortUrl, String registrationHandle, byte[] registrationState)` Deprecated Use getServiceDescription(String wsdlUrl, String serviceDescriptionPortUrl,String registrationHandle, byte[] registrationState) instead
`static com.bea.wsrp.types.ServiceDescription` | `getServiceDescription(String wsdlUrl, String serviceDescriptionPortUrl, String registrationHandle, byte[] registrationState)` Deprecated This method is deprecated and will be removed in a future release.
`static com.bea.wsrp.types.ServiceDescription` | `getServiceDescriptionByWsdl(String producerWsdlUrl)` Deprecated This method is deprecated and will be removed in a future release.
`static com.bea.wsrp.types.ServiceDescription` | `getServiceDescriptionByWsdl(String producerWsdlUrl, String registrationHandle, byte[] registrationState)` Deprecated This method is deprecated and will be removed in a future release.
`static org.xmlsoap.schemas.wsdl.DefinitionsDocument` | `getWsdlDocument(String wsdlUrl)` Deprecated This method is deprecated and will be removed in a future release.
`static WsdlUtils.WsrpPortStruct` | `getWsrpPortUrls(org.xmlsoap.schemas.wsdl.DefinitionsDocument wsdl)` Deprecated This method is deprecated and will be removed in a future release.
`static boolean` | `validateWsdl(org.xmlsoap.schemas.wsdl.DefinitionsDocument wsdl)` Deprecated This method is deprecated and will be removed in a future release.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getWsdlDocument

    @Deprecated
    public static org.xmlsoap.schemas.wsdl.DefinitionsDocument getWsdlDocument(String wsdlUrl)
                                                                        throws org.apache.xmlbeans.XmlException,
                                                                               IOException

  Deprecated This method is deprecated and will be removed in a future release.

  Returns a WSDL for the WSDL URL.

  Parameters
    `wsdlUrl` -
  Returns
    the WSDL
  Throws
    `UnknownHostException` - thrown if host in the given WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given WSDL URL is not found
    `UnsupportedContentTypeException` - thrown if the response content type at the given URL is not supported
    `IllegalArgumentException` - thrown if the docuemnt at the given URL is not a WSDL
    `org.apache.xmlbeans.XmlException` - throws if there are XML parse errrors
    `IOException`

### validateWsdl

    @Deprecated
    public static boolean validateWsdl(org.xmlsoap.schemas.wsdl.DefinitionsDocument wsdl)

  Deprecated This method is deprecated and will be removed in a future release.

  Returns `true` if the given WSDL has mandatory WSRP ports. Returns false otherwise.

  Parameters
    `wsdl` -
  Returns
    boolean

### getServiceDescription

    @Deprecated
    public static com.bea.wsrp.types.ServiceDescription getServiceDescription(String serviceDescriptionPortUrl,
                                                                                         String registrationHandle,
                                                                                         byte[] registrationState)
                                                                       throws IOException

  Deprecated Use getServiceDescription(String wsdlUrl, String serviceDescriptionPortUrl,String registrationHandle, byte[] registrationState) instead

  Returns the service description given the WSDL URL.

  Parameters
    `serviceDescriptionPortUrl` - weblogic.jms.interception.service description port URL
    `registrationHandle` - registration handle
    `registrationState` - registration state
  Throws
    `UnknownHostException` - thrown if host in the given weblogic.jws.WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given weblogic.jws.WSDL URL is not found
    `IOException`
  See Also
    `ProducerAgent.getServiceDescription(String, com.bea.wsrp.model.IRegistrationContext)`

### getServiceDescription

    @Deprecated
    public static com.bea.wsrp.types.ServiceDescription getServiceDescription(String wsdlUrl,
                                                                                         String serviceDescriptionPortUrl,
                                                                                         String registrationHandle,
                                                                                         byte[] registrationState)
                                                                       throws IOException

  Deprecated This method is deprecated and will be removed in a future release.

  Returns the service description given the WSDL URL.

  Parameters
    `wsdlUrl` - WSRP URL
    `serviceDescriptionPortUrl` - service description port URL
    `registrationHandle` - registration handle
    `registrationState` - registration state
  Throws
    `UnknownHostException` - thrown if host in the given WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given WSDL URL is not found
    `IOException`
  See Also
    `ProducerAgent.getServiceDescription(String, com.bea.wsrp.model.IRegistrationContext)`

### getServiceDescriptionByWsdl

    @Deprecated
    public static com.bea.wsrp.types.ServiceDescription getServiceDescriptionByWsdl(String producerWsdlUrl,
                                                                                               String registrationHandle,
                                                                                               byte[] registrationState)
                                                                             throws org.apache.xmlbeans.XmlException,
                                                                                    IOException

  Deprecated This method is deprecated and will be removed in a future release.

  Returns the service description given the WSDL URL.

  Parameters
    `producerWsdlUrl` - WSDL URL
    `registrationHandle` - registration handle
    `registrationState` - registration state
  Throws
    `IllegalArgumentException` - if the WSDL is not valid per the validateWsdl method
    `UnknownHostException` - thrown if host in the given WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given WSDL URL is not found
    `UnsupportedContentTypeException` - thrown if the response content type at the given URL is not supported
    `org.apache.xmlbeans.XmlException` - throws if there are XML parse errrors
    `IOException`
  See Also
    `ProducerAgent.getServiceDescription(String, com.bea.wsrp.model.IRegistrationContext)`

### getServiceDescriptionByWsdl

    @Deprecated
    public static com.bea.wsrp.types.ServiceDescription getServiceDescriptionByWsdl(String producerWsdlUrl)
                                                                             throws org.apache.xmlbeans.XmlException,
                                                                                    IOException

  Deprecated This method is deprecated and will be removed in a future release.

  Returns the service description given the WSDL URL.

  Parameters
    `producerWsdlUrl` - WSDL URL
  Throws
    `IllegalArgumentException` - if the WSDL is not valid per the validateWsdl method
    `UnknownHostException` - thrown if host in the given WSDL URL is not known
    `FileNotFoundException` - thrown if there is at the given WSDL URL is not found
    `UnsupportedContentTypeException` - thrown if the response content type at the given URL is not supported
    `org.apache.xmlbeans.XmlException` - throws if there are XML parse errrors
    `IOException`
  See Also
    `ProducerAgent.getServiceDescription(String, com.bea.wsrp.model.IRegistrationContext)`

### getWsrpPortUrls

    @Deprecated
    public static WsdlUtils.WsrpPortStruct getWsrpPortUrls(org.xmlsoap.schemas.wsdl.DefinitionsDocument wsdl)

  Deprecated This method is deprecated and will be removed in a future release.

  Returns WSDL Ports.

  Parameters
    `wsdl` -
  Returns
    the WSDL ports

### acceptsMime

    @Deprecated
    public static boolean acceptsMime(String producerWsdlUrl)
                               throws org.apache.xmlbeans.XmlException,
                                      IOException

  Deprecated

  Verifies whether the Producer accepts MIME requests.

  Parameters
    `producerWsdlUrl` -
  Returns
    true if the producer accepts MIME requests
  Throws
    `org.apache.xmlbeans.XmlException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.